# Retrieve file - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/model-apis-llm-query-file

# Retrieve file

GET

/

openai

/

v1

/

files

/

{file_id}

Try it

Retrieve file

cURL

```
curl --request GET \
--url https://api.novita.ai/openai/v1/files/{file_id} \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>'
```

200

```
{
"id": "&#x3C;string>",
"object": "&#x3C;string>",
"bytes": 123,
"filename": "&#x3C;string>",
"created_at": 123,
"expires_at": 123,
"purpose": "&#x3C;string>",
"metadata": {
"total_requests": 123
}
}
```

Retrieves information about a specific file using its file ID.

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Enum: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#path-parameters)

Path Parameters

[​](#param-file-id)

file_id

string

required

The unique identifier of the file to retrieve information for.

##

[​](#response)

Response

[​](#param-id)

id

string

required

The unique identifier of the file.

[​](#param-object)

object

string

required

The object type, which is always `file`.

[​](#param-bytes)

bytes

integer

required

The size of the file in bytes.

[​](#param-filename)

filename

string

required

The name of the file.

[​](#param-created-at)

created_at

integer

required

The Unix timestamp (in seconds) when the file was created.

[​](#param-expires-at)

expires_at

integer

The Unix timestamp (in seconds) when the file will expire. Only present for output files.

[​](#param-purpose)

purpose

string

required

The purpose of the file.Available purposes:

- `batch` - Input file for batch processing

- `batch_output` - Output file from batch processing

[​](#param-metadata)

metadata

object

required

Additional metadata about the file.

Show properties

[​](#param-total-requests)

total_requests

integer

The total number of requests in the batch input file. Only present for batch input files.

Last modified on August 12, 2025
